## Get an origin cloud region mapping `cache.origin_cloud_regions.get(strorigin_ip, OriginCloudRegionGetParams**kwargs) -> OriginCloudRegionGetResponse` **get** `/zones/{zone_id}/cache/origin_cloud_regions/{origin_ip}` Returns the cloud region mapping for a single origin IP address. The IP path parameter is normalized before lookup (RFC 5952 for IPv6). Returns 404 (code 1142) if the zone has no mappings or if the specified IP has no mapping. ### Parameters - `zone_id: str` Identifier. - `origin_ip: str` ### Returns - `class OriginCloudRegionGetResponse: …` Response result for a single origin cloud region mapping. - `id: Literal["origin_public_cloud_region"]` - `"origin_public_cloud_region"` - `editable: bool` Whether the setting can be modified by the current user. - `value: OriginCloudRegion` A single origin IP-to-cloud-region mapping. - `origin_ip: str` The origin IP address (IPv4 or IPv6, canonicalized). - `region: str` Cloud vendor region identifier. - `vendor: Literal["aws", "azure", "gcp", "oci"]` Cloud vendor hosting the origin. - `"aws"` - `"azure"` - `"gcp"` - `"oci"` - `modified_on: Optional[datetime]` Time this mapping was last modified. - `modified_on: Optional[datetime]` Time the mapping was last modified. ### Example ```python import os from cloudflare import Cloudflare client = Cloudflare( api_token=os.environ.get("CLOUDFLARE_API_TOKEN"), # This is the default and can be omitted ) origin_cloud_region = client.cache.origin_cloud_regions.get( origin_ip="192.0.2.1", zone_id="023e105f4ecef8ad9ca31a8372d0c353", ) print(origin_cloud_region.id) ``` #### Response ```json { "errors": [], "messages": [], "result": { "editable": true, "id": "origin_public_cloud_region", "modified_on": "2026-03-01T12:00:00Z", "value": { "modified_on": "2026-03-01T12:00:00Z", "origin-ip": "192.0.2.1", "region": "us-east-1", "vendor": "aws" } }, "success": true } ```